View Issue Details

IDProjectCategoryView StatusLast Update
0005593Talerbank (demonstrator)public2019-02-27 21:11
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005593: Need 404 page.
DescriptionIf a nonexistent page is tried to be accessed, the bank shows the Django's exception page. Instead, a custom "page not found" page should be displayed.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-02-20 18:35

manager   ~0013910

Last edited: 2019-02-20 18:35

View 2 revisions

This commit b0f9913, has all the gear in place but it's missing the last step to make the change effective: switching the "debug = True" line to "debug = False" in settings.py. So we should agree about this forthcoming switch before resolving this issue!

Christian Grothoff

2019-02-21 14:37

manager   ~0013921

Can we have debug on on test, and off on demo?

Marcello Stanisci

2019-02-21 17:30

manager   ~0013924

Yes, but the only viable way that I can think of is putting some condition inside settings.py that sets debug to False if it is running on 'demo', or to True otherwise.

Not sure if there is some way to "pinpoint" a commit for a particular file and make it stick to that commit. This way we could put "debug = False" for commit X at stable branch, and make settings.py stick to that commit for all its life (or until we change policy). In fact, settings.py changes very rarely so this would not impact very much our overall activity; but at the same time, it sounds very dirty.

Christian Grothoff

2019-02-21 17:59

manager   ~0013925

Testing for the hostname in settings.py sounds viable, but crazy Git hacks not so much. I think this is only worth it if we can keep it reasonably simple. Otherwise, just turn it off.

Marcello Stanisci

2019-02-21 19:08

manager   ~0013926

Resolved with the check in settings.py, b0f9913..652e1f1.

Marcello Stanisci

2019-02-21 19:11

manager   ~0013927

And by the way: we check for a env variable to be defined instead of parsing hostnames. This variable is defined as soon as one runs 'source activate' which must be done upon SSH'ing into the server.

Issue History

Date Modified Username Field Change
2019-02-20 17:55 Marcello Stanisci New Issue
2019-02-20 17:55 Marcello Stanisci Status new => assigned
2019-02-20 17:55 Marcello Stanisci Assigned To => Marcello Stanisci
2019-02-20 18:35 Marcello Stanisci Note Added: 0013910
2019-02-20 18:35 Marcello Stanisci Note Edited: 0013910 View Revisions
2019-02-21 14:37 Christian Grothoff Note Added: 0013921
2019-02-21 17:30 Marcello Stanisci Note Added: 0013924
2019-02-21 17:59 Christian Grothoff Note Added: 0013925
2019-02-21 18:00 Christian Grothoff Target Version SVN HEAD =>
2019-02-21 19:08 Marcello Stanisci Status assigned => resolved
2019-02-21 19:08 Marcello Stanisci Resolution open => fixed
2019-02-21 19:08 Marcello Stanisci Note Added: 0013926
2019-02-21 19:11 Marcello Stanisci Note Added: 0013927
2019-02-27 21:11 Christian Grothoff Fixed in Version => 0.6
2019-02-27 21:11 Christian Grothoff Target Version => 0.6